<?php /*
*Template Name: Rejestracja
*Template Post Type: page
*/ ?>

<?php get_header(); ?>

<?php if ( is_home() && ! is_front_page() && ! empty( single_post_title( '', false ) ) ) : ?>
	<header class="page-header alignwide">
		<h1 class="page-title"><?php single_post_title(); ?></h1>
	</header><!-- .page-header -->
<?php endif; ?>

<?php
if ( have_posts() ) {

	// Load posts loop.
	while ( have_posts() ) {
		the_post();

		get_template_part( 'template-parts/content/content', get_theme_mod( 'display_excerpt_or_full_post', 'excerpt' ) );
	}

	// Previous/next page navigation.
	twenty_twenty_one_the_posts_navigation();

} else {

	// If no content, include the "No posts found" template.
	get_template_part( 'template-parts/content/content-none' );

}?>
<form method="POST">
   <input type="text" name="registerUsername" placeholder="nazwa użytkownika">
   <input type="email" name="registerEmail" placeholder="e-mail">
   <input type="password" name="registerPassword" placeholder="Hasło">
   <input type="submit" name="submit">
</form>

<?php
global $wpdb;
if($_POST) {
	$username = $wpdb->escape($_POST["registerUsername"]);
	$email = $wpdb->escape($_POST["registerEmail"]);
	$password = $wpdb->escape($_POST["registerPassword"]);
	$error = array();
	if (strpos($username, " ") !== FALSE) {
		$error["username_space"] = "Nazwa użytkownika nie może posiadać spacji";
	}
	if (empty($username)) {
		$error["username_empty"] = "Nazwa użytkownika nie może być pusta";
	}
	if (username_exists($username)) {
		$error["username_exists"] = "Nazwa użytkownika jest zajeta";
	}
	if (!is_email($email)) {
		$error["email_valid"] = "E-mail nieprawidłowy";
	}
	if (email_exists($email)) {
		$error["email_exist"] = "Ten e-mail już posiada konto";
	}
	if (count($error) == 0) {
		wp_create_user($username, $password, $email);
		echo "Utworzono użytkownika";
	}
}else{
print_r($error);}
?>

<?php get_footer(); ?>
